Subject: Re: bug#12823: Invalid font name

From: Stefan Monnier <[email-masked]>
Date: Tue, 27 Nov 2012 10:10:36 -0500

> For fixing this bug, I've just installed this change to
> trunk (rev. 111019).

Thanks, that looks good.

> But, as the bug had caused crashing,
> it may be better to apply the change to emacs-24.

I didn't see any crashes, only assertion violations.
FWIW Debian's emacs23 and emacs24 binaries don't crash here, so
I suspect that the bug is luckily "solved" by accident somewhere.

I'm still wondering about those names that include -, such as
"semi-condensed" that we have in font.c:
- IIUC, they can never be useful for XFLD font names.  Are they useful
  for other font name formats supported by Emacs?  Examples?
- If they are useful sometimes, is it important to have the dashed
  name first in the list?

        Stefan